Package org.apache.wiki.util.comparators

# Class JavaNaturalComparator

java.lang.Object
org.apache.wiki.util.comparators.JavaNaturalComparator

All Implemented Interfaces:
  `Comparator<String>`

public class JavaNaturalComparator extends Object implements Comparator<String>
A comparator that sorts Strings using Java's "natural" order.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Comparator<String>`
`DEFAULT_JAVA_COMPARATOR`

## Constructor Summary

Constructors
Constructor
Description
`JavaNaturalComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(String str1, String str2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Field Details

### DEFAULT_JAVA_COMPARATOR

public static final Comparator<String> DEFAULT_JAVA_COMPARATOR

## Constructor Details

### JavaNaturalComparator

public JavaNaturalComparator()

## Method Details

### compare

public int compare(String str1, String str2)

Specified by:
  `compare` in interface `Comparator<String>`